Require Import connectives.
Require Import leibniz.
Parameter nat : Type.
Parameter O : nat.
Parameter plus_body : nat -> nat -> nat.
Axiom axiom_plus_body_O : connectives.equal (nat -> nat) (plus_body O) (fun (m:nat) => m).
Definition eq_plus_body_O : leibniz.leibniz (nat -> nat) (plus_body O) (fun (m:nat) => m) := ((((connectives.equal_leibniz) (nat -> nat)) (plus_body O)) (fun (m:nat) => m)) (axiom_plus_body_O).
Definition sym_eq_plus_body_O : leibniz.leibniz (nat -> nat) (fun (m:nat) => m) (plus_body O) := ((((leibniz.sym_leibniz) (nat -> nat)) (plus_body O)) (fun (m:nat) => m)) (eq_plus_body_O).
